/* Generated By:JavaCC: Do not edit this line. ExprParserVisitor.java Version 5.0 */
public interface ExprParserVisitor
{
  public Object visit(SimpleNode node, Object data);
  public Object visit(ASTinfix node, Object data);
  public Object visit(ASTexpression node, Object data);
  public Object visit(ASTaddop node, Object data);
  public Object visit(ASTexpressionPrime node, Object data);
  public Object visit(ASTterm node, Object data);
  public Object visit(ASTtermPrime node, Object data);
  public Object visit(ASTmultop node, Object data);
  public Object visit(ASTfactor node, Object data);
}
/* JavaCC - OriginalChecksum=3bf28d9327ca4bfd4209434f40777dab (do not edit this line) */
